Bug 130922 - RHEL4 U3: kAFS (AFS client)
RHEL4 U3: kAFS (AFS client)
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
high Severity medium
: rc
: ---
Assigned To: Ric Wheeler
Martin Jenner
IT#38216, IT#45981
NdRvw, Kernel
: FutureFeature, Reopened
Depends On:
Blocks: 391501 430698
  Show dependency treegraph
Reported: 2004-08-25 15:45 EDT by Tim Burke
Modified: 2009-09-17 11:56 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-17 11:22:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
wrapper function to allow kernel-2-kernel forcing session keyring (1.28 KB, patch)
2006-01-27 13:57 EST, Eido Inoue
no flags Details | Diff

  None (edit)
Description Tim Burke 2004-08-25 15:45:33 EDT
Native AFS client kernel implementation.  kafs.
Comment 5 Robert Perkins 2004-10-27 11:43:42 EDT
Will need to know if this is possible for RHEL4 U1 by Nov 10th.  
This is desired by many customers.
Comment 12 Marty Wesley 2005-05-26 02:41:57 EDT
PM ACK for U2.
Comment 25 Eido Inoue 2006-01-27 13:57:35 EST
Created attachment 123788 [details]
wrapper function to allow kernel-2-kernel forcing session keyring

Exporting the symbols necessary to allow AFS to do the job was nixed, so the
following wrapper function is needed to allow the existing AFS stuff to be
adequate for customer.
Comment 27 Tom Kincaid 2006-03-22 13:54:49 EST
Can we get a development update on this? Not sure if this is really going into U3.

Comment 30 Bob Johnson 2006-04-11 12:44:09 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 40 Jay Turner 2006-10-03 09:28:51 EDT
QE ack for 4.5.
Comment 42 Peter Martuccelli 2007-02-06 09:33:32 EST
Devel NAK as a R4.5 beta blocker.  kAFS support is not ready to be submitted for
R4.5.  Moving request out to R4.6.
Comment 46 Peter Martuccelli 2008-03-10 16:33:43 EDT
At this late stage in RHEL4 development I do not see us delivering on a backport
of native client support in RHEL 4.  Devel NAK for RHEL4.
Comment 47 RHEL Product and Program Management 2008-03-10 16:46:16 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request. 
Comment 53 Ric Wheeler 2009-09-17 11:22:13 EDT
We don't have plans to support KAFS at this point.

Note You need to log in before you can comment on or make changes to this bug.